/********************************************************
  Coppermine 1.5.x Plugin - Google Maps
  *******************************************************
  Copyright (c) 2010 Alexander Usachev (alex@a-l-e-x.ru)
  *******************************************************/
  
function showmap (longitude, latitude) {
	
    var div = document.getElementById("gmaps3_block");
	
	if(div.offsetHeight == 0) {
		div.style.height = "600px";
	
		var latlng = new google.maps.LatLng(latitude,longitude);
    	var myOptions = {
      		zoom: 17,
      		center: latlng,
			scrollwheel: false,
      		mapTypeId: google.maps.MapTypeId.HYBRID
    	};
    	
		var map = new google.maps.Map(document.getElementById("gmaps3_block"), myOptions);
		var marker = new new google.maps.Marker({
      		position: latlng, 
      		map: map, 
      		title:""
  		});   
	} else {
	    div.style.height = "0px";
	}
}